One Earth Mailer Mail and Proxy Server

Release 3.12
January 2002


Introduction

One Earth Mailer - Mail & Proxy Server is a combined Mail Server and Proxy Server that runs on Windows platforms. It provides features that make it ideally suited for small/medium size business or home users.

One Earth Mailer should be installed on a machine that has access to the internet - either through a fixed network connection, or using a dial-up connection. Throughout this document we will refer to this machine as the Server Machine. The server machine should be running Windows, either Windows XP, 2000, NT4 or 98. We cannot recommend Windows 95.

Other machines can connect to server machine via local area network (LAN) or wide area network (WAN). These machines are referred to as Client Machines. The client machines do not need to be running Windows, but must support the TCP/IP network protocol.

The One Earth Mailer server machine acts as a gateway to the internet for any client machines that connect to it.

You can use One Earth Mailer on a server machine that does not have access to the internet. The client machines will be able to send and receive email amongst themselves, and browse the intranet. Most users, however, desire to send & receive email through the internet.

One Earth Mailer consists of the following components.

  • Mail Server

  • Proxy Server

  • User Interface

  • Remote Administrator


Mail Server

The Mail Server contains :-

  • An incoming mail server (Pop3 server) - Allows mail clients to retrieve messages that are stored in their mailbox.

  • An out-going mail server (Smtp server) - Allows mail clients to send messages. The destination of the messages could be a mailbox defined on this One Earth Mailer server, or could be a mailbox defined on another server anywhere in the world. If the messages have a local mailbox, they are moved into that mailbox, allowing them to be retrieved by local mail clients. If the messages do not have a local mailbox, they are moved to a special mailbox called Outbox.

  • An incoming mail client - Allows One Earth Mailer to connect to other Pop3 servers and retrieve messages. Typically, this is used to access external mail accounts at your ISP. One Earth Mailer will place any retrieved messages in local mailboxes, allowing them to then be retrieved by local mail clients.

  • An out-going mail client - Sends messages stored in the Outbox to their intended destination.


Proxy Server

The Proxy Server contains :-

  • A web proxy server (Http proxy) - Allows browser clients to browse the web using the shared the internet connection. The web proxy can cache commonly used web pages to speed up subsequent access times by any clients.

  • An FTP proxy - Allows client FTP applications to use the shared internet connection.

  • A SOCKS server - The Socks protocol is commonly used by applications that wish to connect to a variety of external servers. Typically, these are CHAT applications. One Earth Mailer supports both Socks 4 and Socks 5 protocols. The Socks 5 protocol contains an authorisation phase - you can insist that clients provide a LOGIN and PASSWORD.

  • The ability to defined other proxy servers for your own needs, using either TCP or UDP protocols. Common used examples include Newsgroups (NNTP), Directory (LDAP) and Telnet.


User Interface

The One Earth Mailer User Interface consists of :-

  • A Tray icon that sits in the system tray, usually at the bottom right hand corner of your Windows screen.

  • A Status window that shows the current operational status of the servers.

  • A Properties dialogue box that allows creation and modification of all One Earth Mailer operational parameters.

A right mouse click on the tray icon will reveal a pop-up menu that will allow you to access the Status window or Properties dialogue. A double left click will open the Status window.


Status Window

The Status Window is used to monitor One Earth Mailer activities. It contains 4 tabs.

  • Status Tab

  • Activity Tab

  • Servers Tab

  • Log Tab

The status window also contains a menu bar, containing the following items.

File Menu

  • Properties
  • Deliver Now
    Forces One Earth Mailer into a delivery cycle. This will perform all defined mail pulls, and send mail in the outbox.
  • Close
    Closes the Status Window. Does not shut down One Earth Mailer
  • Upgrade
  • Quit One Earth Mailer
     Stops all servers and exits One Earth Mailer

Reports Menu

  • Mail Store
  • Web Cache
  • Mail Log
  • Web Log


Status Tab

The Status tab shows the current connection status. On the left there is a set of five traffic lights. These indicate the operational status of the dedicated servers. A green light indicates the server is running, and a red light indicates the server is not running. From right to left ( POP3 - SMTP - HTTP – FTP - SOCKS ) servers.

On the right is another traffic light. This is only visible if you have selected Connect to the Internet via Modem, and indicates the connection status of the modem. A green light indicates that a connection has been made. An amber light indicates that One Earth Mailer is in the process of connecting. A red light indicates that there is no current connection.

The STOP button will stop all One Earth Mailer servers, but not shutdown One Earth Mailer. After STOP has been pressed, this button will then be labelled START.

The DELIVER button, when pressed, will cause One Earth Mailer to perform a manual mail delivery.

The HANGUP button will close the modem connection. When One Earth Mailer is not connected this button is labelled CONNECT. Pressing the CONNECT will manually connect via modem. Note: If you selected Connect to the Internet via LAN, then the CONNECT / HANGUP button is not required and is not visible.


Activity Tab

The Activity Tab shows current One Earth Mailer activity levels. The progress bar shows the number of concurrent threads that are running at the time. Each server runs in a separate thread, and in some cases many threads. When the Web Server is running, each Web page and each picture that is retrieved all happen in their own background thread.


Servers Tab

Each time One Earth Mailer is started (or restarted) each server is started. The Servers Tab shows the status of each server. It may be useful in diagnosing problems.


Log Tab

The Log Tab shows a log of all events that have happened since One Earth Mailer was started. The amount of detail shown can be changed in the Properties dialog. All events are also optionally written to a log file.


Properties Dialog

The Properties dialog is used to create or modify your One Earth Mailer settings. It consists of two panels, a Tree view on the left, and a Tab view on the right.

The tabs that are visible in the Tab view depend on which part of the Tree view has been selected.

In the tree view, there are three different levels :-

  • Server Level

  • Domain Level

  • Mailbox Level


The Server Level

Click on the top level of the tree view in the Properties dialog, and the tab view will display parameters for the server level.

  • General - where to store information

  • Connection - how you connect to the internet

  • Modem - who to dial

  • LAN - where to connect to

  • SendMail - how mail is sent to the internet

  • Schedule - when One Earth Mailer should pull mail from external mail accounts

  • Log - what logging information should be kept.

  • Proxies - which proxies to use, and how they operate

  • Cache - how web pages are cached

  • Security - which machines are allowed to connect to this server

  • Licence - details of your One Earth Mailer licence

  • Backup - saving & restoring your configuration to a disk file.

Below the server level is the Domain Level. Right click the mouse on the server level node of the tree to create a new domain.


The Domain Level

The level under the server level is called the domain level. Click on the name of any domain in the tree view in the Properties dialog, and the tab view will display parameters for that domain.

  • General - what it the name of the domain, who controls it.

  • Delivery - pull mail from an external mail account for the domain

  • Aliases - other names that this domain is known by

  • Export - save mailbox information to a CSV file

Below the domain level is the Mailbox level. Right click on the domain node of the tree to

  1. Delete the domain

  2. Create a mailbox in this domain


The Mailbox Level

The level under the Domain Level is called the Mailbox Level. Click on the name of any mailbox in the tree view in the Properties dialog, and the tab view will display parameters for that mailbox.

  • General - define mailbox name, login & password

  • Forwarding - messages arriving in this mailbox can be automatically forwarded to another mailbox, local or external

  • Aliases - other names that this mailbox is known by

  • Delivery - pull mail from an external account for this mailbox

  • Auto Reply - automatically send a reply to any messages arriving in this mailbox

  • Subscriptions - add or remove the senders name to/from a mail list.


Remote Administrator

One Earth Mailer also provides a Remote Administration application. This is a stand alone application that may be moved to any other machine. There is no installation procedure and no system files. With correct authorisation and access, the remote administrator can connect to any One Earth Mailer server, anywhere in the world, and perform all functions that could be performed using the One Earth Mailer control panel.

When One Earth Mailer is running, you will see a red tray icon.

When Remote Administrator is running, you will see a pink tray icon.

You can only one run a single instance of One Earth Mailer. You may run many instances of Remote Administrator, each connected to a different One Earth Mailer server if you wish.


Domains

Internet addressing is achieved by the use of domain names. Internet E-mail is delivered to an address that is composed of two parts - a mailbox name and a domain name. This address is written in the form mailbox_name@domain_name. One Earth Mailer can host an unlimited number of domains, but typically, your One Earth Mailer server will only look after a single domain. You may choose to add a private domain to establish some private mail lists.

Within each domain, One Earth Mailer can host an unlimited number of Mailboxes. These mailboxes will typically have a Login name and Password assigned that will allow the contents of the mailbox to be delivered to a remote mail client. However, a mailbox does not need to be assigned to a particular user. A mailbox could be used as temporary storage before the mail is forwarded to another e-mail address, perhaps generating an Auto-Reply on the way.

One Earth Mailer requires you to define a special mailbox, called the Postmaster mailbox, into which any incoming mail that cannot be delivered will be deposited. The Postmaster mailbox may be assigned to a particular user, but again, this is not a necessity.

One Earth Mailer considers a domain to be of one of the following :-

  • A registered domain

  • A private domain

  • An account domain


Registered Domains

If you have a registered domain, and One Earth Mailer is connected to the Internet, then you will be able to receive mail from the Internet. One Earth Mailer will collect the mail from one or more external sources, and distribute the incoming mail into the corresponding mailboxes in this domain. If no matching mailbox can be found, the mail will be transferred to the nominated Postmaster mailbox.

Example: oneearthinfotech.com


Private Domains

A private domain is a domain that has been created on your One Earth Mailer server, but is not registered on the Internet. As this domain is not registered on the Internet, no external mail will find its way in. However, the domain will be visible to all clients that are connected to this One Earth Mailer server, and this private domain may contain many mailboxes. This forms a private mail network, able to distribute mail locally, send mail to the outside world, but not receive mail from the outside world.

One ideal use for a Private Domain is that of hosting Mail-Lists. Internal users can access the mail lists, but external users cannot. Make sure you have a period in your private domain name, One Earth Mailer does not require this, but most mail client applications do.

Example: mail.list


Account Domains

One Earth Mailer will allow a user with a single external email account to pretend that this account supplies mail for an entire domain. To facilitate this, One Earth Mailer provides an extended email addressing mode.

Example:

  • Create a domain george@acdomain.com, based on a single email account accessed using george@acdomain.com

  • Under this domain, create mailboxes a1, a2 and a3

One Earth Mailer's extended addressing format is mailbox-name~domain-name, so we now have three mailboxes defined that can be accessed using the email addresses :-

  • a1~george@acdomain.com

  • a2~george@acdomain.com

  • a3~george@acdomain.com

Note: This extended addressing mode can only be used on clients that connect directly to the One Earth Mailer server. Other mail servers do not understand this addressing mode and will not correctly deliver such mail.

Most mail clients allow an out-going message to be addressed with a Display Name as well as the email address. Typically, you can specify a display name using one several formats in the TO field of your mail client. The following is usually acceptable :-

Display Name <email address>

Addresses that are generated by Address Books also use the above format.

For incoming mail to an account domain, One Earth Mailer will convert the display name / email address combination to an extended email address. Spaces and special characters are removed in the conversion. The above address would be converted to :-

DisplayName~email-address

So, mail sent to A1 <george@acdomain.com>, will be sent to mailbox a1~george@acdomain.com

Of course, there will be variation in the display name that message senders will use. One Earth Mailer allows you define multiple Aliases for each mail box. Assume that mailbox a1 above has the following aliases defined.

  • George

  • G Smith

  • George Smith

  • Smithy

Then each of the following will be sent to mailbox a1~george@acdomain.com

  • George <george@acdomain.com>

  • G Smith <george@acdomain.com>

  • George Smith <george@acdomain.com>

  • Smithy <george@acdomain.com>

Note: One Earth Mailer has no control over the actions of external mail clients. We note that if some mail clients have a message addresses to George <george@acdomain.com> and have a copy (CC) addressed to Mary <george@acdomain.com>, the mail client may think that both copies are destined for the same place and optimise by excluding one of the addresses.


General Settings

See :-

  • General Server Level Settings
  • Licence Details
  • Connection Settings
  • Connecting to the Internet
  • Backup your Configuration


General Server Level Settings

Select PROPERTIES / Server Level / GENERAL Tab

On This Tab

  • Mail Cache Directory
  • Principal Domain Name
  • E-mail Address of the Administrator


Mail Cache Directory

Specifies a directory that will be used to hold all incoming and outgoing mail. If you are using the One Earth Mailer Web proxy server, the cache for web documents is also stored under this directory. Depending on the size of your organisation, this could potentially require a large amount of disk storage.

  • Select a directory that is always accessible to the One Earth Mailer server.

  • Don't select a directory that is mapped via the network.

  • The drive that you select MUST support long file names.


Principal Domain Name

The name that you provide as the principle domain name will be used in the following situations :-

  • Throughout the One Earth Mailer properties dialogue, there are times when you are required to enter an email address. If this address belongs to the principle domain, then you only need to enter the mailbox portion of the email address.

  • If incoming mail is addressed to or from an email address that does not contain a domain name, the principle domain name is appended.

  • When One Earth Mailer connects to an external server that requires identification, the principle domain name is used as that identification.

  • When clients connect to any of the One Earth Mailer servers, the principle domain name is used to identify the server to the client.

If you have a registered domain name, use this as the principle domain name.

Example: mycompany.com

If you are using a single email account to host a domain, use the email address of this account as the principle domain name.

Example: me@myisp.com


E-mail Address of the Administrator

This address must be a valid fully qualified email address, but need not be defined on this One Earth Mailer server.

One Earth Mailer will from time to time download messages from a central site and send them to the administrator. These messages will usually describe a new release and/or new features that are available in One Earth Mailer. One Earth Mailer will check for these messages once per day, and you can disable this feature if you wish (See Licence Details)


Connection Settings

Select PROPERTIES / Server Level / CONNECTION Tab

On this tab

  • Connection Type
  • Local Mail Servers

  • SMTP Relaying

  • Server Timeouts


Connection Type

These settings control the One Earth Mailer connection to the Internet.

  • Do not connect to the Internet

One Earth Mailer can act as a local mail server only. Mail can be sent and received by computers on the local network.

  • Connect to the Internet using a modem

You should fill in the connection details on the Modem tab.

  • Connect to the Internet using LAN

All mail servers specified (for out-going and in-coming mail), and Http proxy server should be accessible from the Local Area Network.


Local Mail Servers

You may (with care) set non-standard settings for the Local SMTP (send mail) and POP3 (receive mail) servers. DO NOT alter these settings unless you know what you are doing. Press the DEFINE button to reveal the following dialog box.

Port Selection

You can elect to disable either or both off the mail receive or mail send servers. Disabling both of them will make One Earth Mailer act as a proxy server only.

These are the port numbers of the One Earth Mailer mail servers. Your client mail applications will need to connect to these ports. The default settings are given and will normally be used by all client applications. You may choose to change the port numbers, but you will also need to change the corresponding port numbers in your mail clients. Don't change them unless you're sure you know what you're doing.

This server requires authentication

If this option is selected, then mail clients wishing to send mail using the One Earth Mailer SMTP server will need to provide a (plain text) Login / Password combination as authentication. The login & password settings need to de defined in your mail client (for out-going mail). Not all mail clients support this option.

Undefined Mail

When mail arrives at the SMTP server with a valid domain name, but with an undefined mailbox name, there are two possible actions that you can define.

  • Send the message to the Postmaster’s mailbox

  • Reject the message. If rejected the mail client sending the mail will receive an error message ‘No such mailbox’


SMTP Relaying

When your One Earth Mailer server is connected to the internet, it is possible for other users anywhere in the world to access it. If you connect via an ISP, then each time you connect you will be allocated a different IP address, and this will make it harder for others to gain access. If you have a fixed IP address, then once an outside user learns your IP address, they can repeatedly gain access.

The sending of SPAM (junk mail) is a practice discouraged by law and by most ISP’s. Senders of SPAM must therefore find an un-suspecting mail server somewhere in the world that will allow them access. Once they find their mark, they clog the mail server with junk distributions, using available disk space & band width.

This One Earth Mailer option prevents your server from being used as an Open Relay.

Consider all clients attached to your local network as LOCAL, and all clients not attached to your local network as EXTERNAL. The following behaviours are then usually acceptible

  1. Local clients sending mail to local recipients

  2. Local clients sending mail to external recipients

  3. External clients sending mail to local recipients

And this behaviour (known as RELAYING) is usually NOT acceptible.

  4. External clients sending mail to external recipients

One Earth Mailer provides you with 3 alternatives

  • Never Allow Relaying – Allows behaviours 1 - 3

  • Always Allow Relaying – Allows behaviours 1 – 4

  • Select Relay Sources – Allows behaviours 1 – 3, but allows you to define extra IP addresses as LOCAL (or perhaps exclude some already LOCAL IP addresses) Clicking this option will produce the following dialog box.


Server Timeouts

When One Earth Mailer servers attempt to connect to an external server, the connection attempt will be aborted when a predefined TIMEOUT period is reached. Press the TIMEOUTS button to see the following dialog box.


Connecting to the Internet

Your One Earth Mailer server can share a single Internet connection between all machines that are connected on a Local Area Network. Install One Earth Mailer on a computer that has a modem connected. This machine will be known as the One Earth Mailer Server machine. This server should be a PC running Windows 98 or Windows NT4 / 2000. (Windows 95 ia also possible, but we cannot support Win 95 installations)

Other machines on this network are known as Client machines or Workstations. The client machines do not need to be PC's. Any computers that support TCP/IP network protocol may be used.

Install TCP/IP network protocol on all machines

You must have TCP/IP network protocol installed on all computers that wish to access the One Earth Mailer Server. The server and each client require a unique IP address (a set of four numbers separated by periods). If you have a DHCP server operating on the One Earth Mailer server machine, ensure that the IP address of the One Earth Mailer is Static. The DHCP server can safely allocate the client machine IP addresses. If you do not have a fixed IP address assigned, you can safely use any IP address that starts with the number 172. The next two numbers in each address should be the same for all computers connected to the LAN. The fourth number should be different on each computer. The IP address uniquely identifies each computer.

Remember the IP address of the One Earth Mailer server. You will need to distribute this address to all users of the client computers. Your users will use this address in various software packages that wish to share the Internet connection through the One Earth Mailer server.


Connecting via Modem

If you selected Connect to the Internet using a Modem on the General tab, then the properties dialog will contain a MODEM tab

Select PROPERTIES / Server Level / MODEM Tab

Phonebook entry to connect to

From the drop down list, select the Windows phonebook entry that you wish to use to connect to the Internet. The New Entry, Edit Entry and Delete Entry buttons may be used to add or change entries in the Windows phonebook.

Set Username / Password

Press this button to set the Username & Password entries of the phonebook entry that you have selected.

Connection

These settings control the One Earth Mailer connection to the Internet.

  • Number of Retries - the number of times One Earth Mailer will attempt to connect.

  • Retry Interval - If a connection attempt fails, One Earth Mailer will wait this long before attempting to connect again

  • Connection Timeout - If no status response is received for this amount of time, One Earth Mailer will abort the connection attempt. This value should normally be large so that slow connections are not unnecessarily aborted. Use the default value unless you are being disconnected before your connection is finalised.

Alternatives

If you have more than one entry in your Windows phonebook, then the Alternatives button will be enabled. These entries may correspond to different modems, or they may be for different ISP’s using the same modem.

All parameters on the Modem, SendMail and Schedule tabs are associated with the selected phonebook entry.

You can make some or all of these entries available to One Earth Mailer and you can specify the order in which a connection should be attempted. Press the Alternatives button to reveal the following dialogue box.

Use the Add and Remove buttons to adjust the phonebook entries available. Use the Up and Down buttons to select the required order for connection attempts. When the OK button is clicked, the Modem tab will show <Multiple Selections> as the selected phonebook entry. When <Multiple Selections> is selected, you will not be able to edit properties on the Modem, SendMail and Schedule tabs. To edit these values you must select an individual phonebook entry – the settings will apply to that selection only. When all properties are set for each modem as required, re-select <Multiple Selections>


Connecting via LAN

If you selected Connect to the Internet using Local Area Network on the General tab, then the properties dialog will contain a LAN tab

Select PROPERTIES / Server Level / LAN Tab

You may define different configurations as required, assigning a suitable name to each configuration. All properties on the SendMail and Schedule tabs will be saved for this configuration.


Licence Details

One Earth Mailer Licence Details

Select PROPERTIES / Server Level / Licence Tab

This tab shows the details of your One Earth Mailer licence.

Serial Number

The Serial Number ties your licence to the machine that it is installed on.

Security Key

If you are running a trial version of One Earth Mailer then the Security Key field must contain the word TRIAL. After you purchase a licence, we will issue you with an encrypted key. This key is only valid for the Serial Number that it was issued against. If you move the software to another machine, you will need to apply for another Security Key. There is no cost involved. The old security key will be invalidated.

Notify my Administrator when a new release is available.

Check this box and One Earth Mailer will periodically check our central site to see if there are any messages to be broadcast to all users. These messages will generally indicate that there is an updated version of the software available. If so, you can upgrade without cost.


Backup

Backup Your Configuration

Select: PROPERTIES / Server Level / BACKUP Tab

The configuration that you define in the One Earth Mailer Properties dialog is saved in the system registry. It is also possible (and advisable) to create a backup copy of these settings. This configuration file can be used for ...

  • As a configuration copy in case of system failure.
  • To move One Earth Mailer to a different server.
  • If seeking technical assistance, we always require a snapshot of your configuration.

On this Tab

Save

Saves the One Earth Mailer configuration to a disk file.

Load

Reloads a saved configuration.

Automatically Save Configuration

This option will save your configuration to a disk file each time that Properties are saved. The file name may contain % tokens as used in Log file names (See Log File Naming)


Mail Settings

See :-

  • Sending Mail to the Internet
  • Receiving Mail from the Internet
  • Domain Level Settings
  • Mailbox Level Settings


Sending Mail

When you create a message using a mail client and press SEND, the message is sent to One Earth Mailer's SMTP server. This server decides if the message was intended for

  • a local mailbox - defined in one of the domains that are defined on this server, or

  • an external mailbox - defined on a mail server somewhere else in the world.

If the message has a local destination, it is moved to the appropriate mailbox. If the message has an external destination, then One Earth Mailer will contact another mail server and pass the message on.

Select PROPERTIES / Server Level / SEND MAIL Tab

One Earth Mailer provides two methods of sending mail to external destinations..

  • SMTP Gateway - All out-going messages are transferred to a single external mail server. This server will usually belong to your ISP, and this server will then deliver the message.

  • DNS Lookup - A special server (a DNS server) is contacted to find the internet address of the mail server responsible for handling the recipients messages. This server is then contacted and the message is sent directly.

Properties defined by the Advanced button are available to both of the above methods.


Send Mail using SMTP Gateway

If you are connecting via your ISP, then you should choose this method. A single connection is made for ALL out-going mail. If a message has multiple recipients then the names of all recipients are included in the single message that is transmitted.

If you are connecting via modem, you can get this information from your ISP. The name of the mail server is usually something like mail.myisp.com.

If you are connecting via the network, then enter the name (or IP address) of the host computer that you wish to connect to. An IP address is a group of four numbers separated by periods. Example: 217.182.45.69

If you are connecting via a proxy server running on this same machine, then enter the name or IP address of this machine.

You can defined special requirements of your SMTP gateway by clicking the define button.


SMTP Gateway Advanced Properties

Remote Port

This is the port number that One Earth Mailer will connect to on the remote server. Its value is normally 25, and should not be changed unless you know what you are doing.

Maximum number of recipients

Normally, when a message is sent to multiple recipients, a single message is sent, and the name of each recipient is included in that message. Some ISP’s may stipulate a maximum number of recipients per message (One Earth Mailer doesn’t). If this is the case, enter the maximum number of recipients here. One Earth Mailer will then send as many identical messages as are required using this maximum.

Specify the number of retry attempts that should be made to send out-going mail. If the mail is not successfully sent in this number of attempts, the mail is "Returned To Sender". A warning message is also sent to the sender.

Authentication

Some external SMTP servers require Login and Password parameters. You can provide these here.


Send Mail Using DNS Lookup

If you do not connect to the internet via an ISP (perhaps you are an ISP), then you should use this method of sending mail.

You need to provide the name (or IP address) of a DNS server, and may optionally provide the name of a second DNS server for cases when the first server is not available, or cannot resolve the domain name required.

Use Hosts File

You may provide a file that contains the addresses of Mail Servers for Domain names. Perhaps these mail servers are at permanent but unpublished IP addresses. Entries in this file will be used in preference to results of DNS queries. The format of this file is as follows.

An ASCII text file in which each line is one of :-

A comment line – begins with the hash (#) character
A blank line – for readability
A definition line – containing <Mail Server Address> space <Domain Name>

Sample Hosts File

# This is a sample hosts file
128.34.16.56 private.domain.com
smtp.myisp.com another.domain.com


Send Mail Advanced Properties

These properties apply to both SMTP Gateway & DNS Lookup send mail methods.

How many retries to send out-going mail?

Specify the number of retry attempts that should be made to send out-going mail. If the mail is not successfully sent in this number of attempts, the mail is "Returned To Sender". A warning message is also sent to the sender.

Minimum time between retries

Specify the number of minutes that One Earth Mailer should wait between retry attempts. If Number of Retries is 10, and Time between Retries is 30, then One Earth Mailer will attempt to deliver the message over a period of 5 hours.

Limit the size of the Outbox to

If you are concerned about the amount of mail that is being sent from your One Earth Mailer server, you can use this option to limit the amount of output mail. You can choose to limit using either a ‘number of messages’ or the ‘total size of those messages’. If a limit is exceeded, there are two possible actions that may then take place. You may choose either or both.

  • Do not accept further out-going mail.
    The SMTP server will reject out-going messages while the limit is exceeded. This will show as an error at the sending mail client. Messages will again be accepted when the limit is no longer exceeded.
  • Notify my Postmaster’s email address
    A warning message is sent to the Postmasters mailbox.

Use this email address as the MAIL FROM identifier …

As a protection against SPAM mail, some ISP’s will only accept mail from an email address that is defined on their server. With One Earth Mailer's ability to define many domains, it is possible that some mail will be rejected as foreign by the ISP. If this is the case, use this property to specify an email address that the ISP will accept. This will be used during the authentication stage. This address will NOT appear as the sender of the message

Send a Copy of all out-going mail to …

Enter a valid email address in this box and One Earth Mailer will send a copy of all out-going mail to this address. The address must be defined on this One Earth Mailer server, but may forward to any other addresses.


Receiving Mail from External Accounts

One Earth Mailer can retrieve mail from multiple external mail accounts. There are two different kinds of Mail Pull that can be defined. You can use multiple instances of both types if you wish.

  • Domain Mail Pull

    All mail for an entire domain in pulled from a single external account. One Earth Mailer examines the headers of all incoming messages and moves the message to appropriate locally defined mailboxes. To have all mail for an entire domain placed into a single external account, you will need to make arrangements with your ISP.

    You can define a Domain Mail Pull using
    Properties / Domain Level / Delivery Tab.
  • Mailbox Mail Pull

    All mail pulled from the external account is placed in the mailbox that defined the mail pull. There is no parsing of message headers performed, and no requirement that the intended recipient resembles the defining mailbox.

    You can define a Mailbox Mail Pull using
    Properties / Mailbox Level / Delivery Tab.

Notes:

  1. There is no association between the domain name that defines a domain mail pull, and the mailboxes that messages will be distributed to. The contents of message headers determines the destination mailbox of the incoming messages. You may defined several dummy domains that have no mailboxes, and that pull mail from the same external account if you wish. This is the technique that you should use to set up conditional mail pulls. e.g. Pull messages that are less than 100 Kb between the hours of 10:00 and 18:00, pull all messages at other times.
  2. One Earth Mailer allows one mailbox mail pull for each mailbox defined. If a user has more than one personal external mail account, then define a mailbox for each mail pull. One of these mailboxes (the main mailbox) will be tied to the account that this user retrieves mail from. The other mailboxes can be considered as dummy mailboxes, and do not need login credentials defined, and could be defined in a dummy domain. Each of the dummy mailboxes should forward incoming mail to the main mailbox. The user can then collect mail from all sources from a single visible mailbox.


Defining a Mail Pull

To define a Domain Mail Pull
- Select PROPERTIES / Domain Level / DELIVERY Tab.
To define a Mailbox Mail Pull
- Select PROPERTIES / Mailbox Level / DELIVERY Tab.

Enable Domain Delivery / Enable Individual Delivery

Check this box if a mail pull is required from an external pop3 host.

Host

Enter the Internet address of your external mail server. Typically, these are of the form mail.server.com, but may also be an IP address like 203.17.83.148. Your ISP will provide this information.

Login

The login required to access your external mail account - provided by your ISP.

Password

The password required to access your external mail account - provide by ISP

Pop3 Port

The port at the external mail server that you access Pop3 services through. This is a standard port and has a usual value of 110. Don't change this unless you know what you are doing.

Send a Copy of all incoming mail to …

Enter a valid email address in this box and One Earth Mailer will send a copy of each incoming message for this domain to that address. The address should be defined on this One Earth Mailer server, but can forward to other addresses, including external addresses. This property only exists in the domain delivery set up. You can achieve the same effect using forwarding at the mailbox level.


Advanced Delivery Properties

Only Pull for Mailboxes defined on this Server

If this checkbox is ticked, then One Earth Mailer will read the header of all mail at the external host, but only download mail for which there is a mailbox defined on this Server. This allows several sites to pull mail from a single mail account, each retrieving their own mail only.

Leave mail on External Server, Delete after XXX days

If this checkbox is ticked, then One Earth Mailer will read the mail but not delete it from the external server until XXX days have elapsed. A record of the email identification (its UIDL) is kept, and this mail will not be pulled by this domain pull again. It can be pulled by other mail pulls that use the same account, either on this One Earth Mailer server, or perhaps by an external user. It is possible to remove the UIDL record and re-pull the mail in case of emergencies.

Maximum messages per Mail Pull

When talking to the POP3 server at your ISP, One Earth Mailer will retrieve each message and then delete the message from the remote server (unless instructed to leave the message on the remote server). In actual fact, no messages are deleted until the Pop3 session is closed. The number ‘Maximum messages per Mail Pull’ instructs One Earth Mailer to close the session after this number of messages have been received. If there are still messages remaining, another session will be opened.

Maximum Number of Retries

If an error occurs while a message is being retrieved from the external mail host, it is quite likely that One Earth Mailer and the external mail host will get “out of synch”, and in such a situation it does not make sense for One Earth Mailer to continue. The problem may, in rare cases, be that the message being retrieved is badly formed, but it more likely that a communications problem (bad connection) is the cause. In such situations, One Earth Mailer will mark the message being received as a BAD message, and will disconnect from the external Pop3 server. In subsequent mail pulls, One Earth Mailer will attempt to read all messages that are not marked as bad, and when only bad messages remain, One Earth Mailer will re-try to receive these messages. You can specify here the number of attempts that should be made to retrieve these ‘bad’ messages. When the limit is reached, One Earth Mailer can either delete the message from the external host, or leave the message so that you can use some other method to try and retrieve it.

Minimum Time between Mail Pulls

You can enter the number of hours that is the minimum time that mail should be checked for. This is useful if you pulling mail from several sources - you do not have to check every account at every mail pull.

Only pull mail between XXX and XXX

You can define a starting time of day and ending time of day during which this mail pull will be active. These times are only valid if a connection is open at the time.

Only pull mail that is Less Than / At Least XXX Kb

You can define mail size limits for the mail pull. Mail that doesn't meet the size criteria given is left on the external server. Here is one way that this option could be used - to pull small messages anytime and to only pull large messages overnight

Define a mail pull that pulls mail less than 500 Kb without time restriction

Create a second domain, and define a mail pull for this domain using the same external account as in (a) - set this delivery to pull mail at least 500 Kb between the hours of 23:00 and 05:00

If incoming mail is larger than XXX Kb then …

If you really don't want large messages clogging up the server, this option reads the header of the incoming message, but doesn't read the message itself. The contents of the message is replaced with a warning showing the sender, subject and is then distributed to the intended recipients.


Domain General Properties

Select PROPERTIES / Domain Level / GENERAL Tab.

Domain Name

The name of the domain

Postmaster

The Postmaster is the name given to the mailbox that will receive mail that cannot be delivered to a valid recipient. Typically, this is because the mail has been badly addressed and the destination address does not exist on this server. Each domain must appoint a Postmaster, and the Postmaster requires a mailbox in that domain. If you do not create this mailbox, then it will be automatically created for you.

Split Domains

It is possible that One Earth Mailer only hosts some mailboxes within a domain, and that other mailboxes are hosted by a different server. Maybe, your organisation is spread over several sites, but each uses the same domain name. If this is the case, when you send a message to an address at one of the other sites, you don't want One Earth Mailer detecting that the mailbox does not exist on this server and sending the message to the Postmaster's mailbox. If this is the case you should check the Send unresolved outgoing mail for the domain to the external mail host checkbox.


Domain Alias

Select PROPERTIES / Mailbox Level / DELIVERY Tab.

You may specify multiple aliases for each domain. This means that all mailboxes defined in the domain will appear to be defined in multiple domains. Incoming mail for a variety of email addresses will be moved to the same mailbox.

If your One Earth Mailer server has a fixed IP address, say 203.47.192.15, and you have a domain called mydomain.com, you can define an alias for this domain as [203.47.192.15]. (The square brackets should be included). Now, any mail addressed to john@[203.47.192.15], will be sent to the mailbox for john@mydomain.com


Exporting Mailbox names

Select DOMAIN LEVEL / EXPORT Tab

This option will export all email addresses defined in this domain to a comma delimited text file. Each line of the file will contain ...

email-address , user-name


Mailbox Setup

Select PROPERTIES / Mailbox Level / GENERAL Tab.

Address

This read-only field shows the email address that this mailbox can be accessed through.

Mailbox

Enter the name of the mailbox. This will be used to form the email address shown above.

Login and Password

Login and Password fields may be associated with this mailbox. These fields will (may) be used by :-

  • Mail client applications trying to receive mail

  • Mail clients trying to send mail if authorisation is required

  • HTTP, FTP or SOCKS 5 clients accessing via the firewall

  • Remote administrators trying to connect to this One Earth Mailer server

The Login name should be unique across all domains defined on this mail server. The login name may be the same as the mailbox name, but there is no requirement that it should be.

User Name

This field is not used by One Earth Mailer and may be used by the administrator for any required purpose.

Comment

This field is not used by One Earth Mailer and may be used by the administrator for any required purpose.


Advanced Mailbox Properties

User is an Administrator

If this checkbox is ticked (for any mailbox defined on this server), then a Login dialogue will be presented when a user attempts to open the Properties dialog. The Login & Password of this mailbox (or any other defined as an administrator) may be used to negotiate this Login stage.

If this checkbox is ticked (for any mailbox defined on this server), and Remote Administration is enabled, then a Login dialogue will be presented when the Remote Administrator attempts to connect to this One Earth Mailer server. The Login & Password of this mailbox (or any other defined as an administrator) may be used to negotiate this Login stage.

User has Firewall Access

Each of the HTTP, FTP and SOCKS 5 proxy servers can be defined to pass through a Firewall. That is, the client must first Login to the proxy server before they are allowed to access the remote server. Define which of these servers should use the firewall on the Proxies tab. If the checkbox is grayed out in this dialog, then firewall access is not required and all users may use that proxy server. If the checkbox is not grayed out, then only users with the checkbox enabled will be allowed to access the corresponding server. In each case, the client will need to provide the Login & Password defined for this mailbox to gain access.

This is a remote mailbox - External to this server

You can define a mailbox that is part of your domain, but is not defined on this server. Mail for this type of mailbox will never be collected by One Earth Mailer mail pulls. All mail that is sent to this mailbox will be transferred to the external provider for distribution. Using this feature allows some users to exist external to the One Earth Mailer server. These users cannot collect their mail from the One Earth Mailer server.

Send mail to local domains only

If checked then the user defined by this mailbox will be permitted to send mail to any mailbox in any domain that is defined on this One Earth Mailer server. Mail that is addressed to external addresses will be returned to the sender, along with a warning message.

This user can relay mail from foreign locations

In some situations, you may have travelling employees carrying notebook computers that wish to send mail from anywhere in the world. They can easily obtain an internet connection and plug in. Assume that your One Earth Mailer mail server has a permanent IP address. For convenience, in the mail client in their notebook they have the IP address of your SMTP server. This means that they don’t have to change it every time they get a new internet connection. But, as you don’t know (and can’t be expected to know) which IP address they will connect to your server from, the One Earth Mailer server will (correctly) treat this as an EXTERNAL connection – unable to relay mail.

Each external client that connects to the SMTP server provides a sender’s name. One Earth Mailer checks to see if the sender’s name is defined as a mailbox on this server. If the mailbox is defined AND if this checkbox is selected, then One Earth Mailer will treat this as a LOCAL connection. This user WILL be able to relay mail.

Copy all outgoing mail to the following address

If you wish to monitor outgoing mail from one or more mailboxes, tick this checkbox and provide a suitable E-mail address.


Mail Forwarding

Select PROPERTIES / Mailbox Level / FORWARDING Tab.

Mail that arrives in any mailbox may be forwarded (copied) to one or more other mailboxes. These mailboxes can be defined locally, or they can be any valid Internet e-mail addresses.

These are the main uses for mail forwarding.

  • Diverting mail for a single mailbox. If you are out of town and wish to have all incoming mail diverted to another mail account, you can choose to keep the originals and deal with them when you return.

  • Establishing a mailing list for incoming mail. You can define a mailbox that diverts to all (or any) mailboxes, and is accessible from the Internet.

  • Establishing a mailing list for internal mail. You can define a mailbox that diverts to any email addresses, and is only accessible from the Local Area Network.

Use the ADD, MODIFY and DELETE buttons to create a list of e-mail addresses. All incoming mail for this mailbox will be forwarded to all e-mail addresses in the list. You may enter a full e-mail address, a One Earth Mailer extended address or a mailbox name that exists on this server. If you just enter a mailbox name, the primary domain name will be appended to it.

Do not keep a copy of mail for this account

If this checkbox is ticked, then after the mail is forwarded the original will be deleted from this mailbox.

Note: It is allowable to enable forwarding without specifying a list of forwarding addresses. If you check the Do not keep a copy ... checkbox and their is no forwarding list, then the incoming message will be deleted and no copy kept anywhere.

Import & Export

As it may be more convenient to prepare lists of names external to One Earth Mailer, options are available that will import/export a list of Extended One Earth Mailer address to/from a text file.


Advanced Forwarding

Pressing the advanced button on the Forwarding tab will display this dialog box.

Only forward if uncollected for XXX hours

The mail is only forwarded after XXX hours have elapsed since the mail arrived. The Do not keep a copy of mail for this account checkbox determines what happens when the mail is forwarded.

Individually address each forwarded message

Normally, forwarded mail will show the email address of the mailing list as the recipient, the names of individual members of the list will not be visible to the recipient of the message, but a single message is despatched containing the names of all recipients. If this option is checked, then a separate copy of the message is generated for each member of the list, and this copy is individually addressed. The recipient will only see their name, and will not be aware that this was sent through a mailing list. If you use the extended forms of email addresses in the forwarding table, (such as Mr Thomas Smith~t.smith@somewhere.com), then the individually addressed message will contain the display name as well. Please note, if this option is selected, a separate message will be transmitted for EACH member of the list. If this option is not selected, then a single copy of the message containing all recipient names is transmitted.

Use the following as the Sender’s address

If an address is provided here, it will be used as the SENDER of each message that is forwarded through this mailbox (replacing the identity of the original sender). You may use extended addressing here as well – the display name will be shown as the sender.

Example: Mr Thomas Smith~t.smith@somewhere.com

Use the following as the Reply To address

If an address is provided here, it will be used as the REPLY TO address of each message that is forwarded through this mailbox. You may use extended addressing here as well. If no Reply To address is given, the sender’s address will be used.

Example: Mr Thomas Smith~t.smith@somewhere.com


Mailbox Aliases

Select PROPERTIES / Mailbox Level / FORWARDING Tab.

Mailbox Aliasing is a means of providing alternate names for a mailbox. You can provide multiple aliases for each mailbox. Mail that is addressed to an alias of a mailbox will be sent to that mailbox.

The above example shows the Aliases tab for mailbox john@mydomain.com.

Mail that is addressed to either helpdesk@mydomain.com or info@mydomain.com will be sent to john@mydomain.com.

Using Aliases for mailboxes allows a single mailbox to effectively have many e-mail addresses. This is similar to the concept of Forwarding, except that there is no need to define a separate mailbox. There are several situations where this is desirable.

  • To set up specialised mailboxes. You can define as many aliases as you wish for a mailbox. Mail that is addressed to any of these aliases will be distributed directly to the mailbox that owns the alias.

  • If you are using a One Earth Mailer Account domain, then you should provide several aliases for each mailbox. See the section: Using a Single Mail Account.


Auto Reply

If Auto-Reply is activated, then an automatic response is generated each time an incoming message arrives at this mailbox. The text of the response is taken from a plain text file that you provide.

Select PROPERTIES / Mailbox Level / AUTO-REPLY Tab.

  • You may include a copy of the incoming message in the reply.

  • Sender - You can change the "Sender" of the generated reply. The email address that you specify will appear as the sender of the reply. Do this to prevent looping from occurring if your auto-reply is sent to another auto-reply address. Also do this if your auto-reply expects a reply in return.


Delivery Schedule

Select PROPERTIES / Server Level / SCHEDULE Tab

Deliver At Startup

If this option is selected, One Earth Mailer will connect and perform a mail delivery each time One Earth Mailer is started.

Send High Priority Mail On Demand

When One Earth Mailer receives mail to be sent, the mail is temporarily stored in the OUTBOX. If the mail is addressed to a mailbox that is located on this PM server, the mail will be delivered immediately. If the mail is addressed to an external user, and there is a connection to the external mail server (your ISP), this mail will also be delivered. If there is no open connection, the out-going mail has been flagged as high importance and this option is selected, One Earth Mailer will immediately dial to make the connection. Otherwise the mail will wait in the OUTBOX until the next scheduled delivery.

Send ALL Mail On Demand

Similar to the previous option, except that One Earth Mailer will attempt to make the connection regardless of the priority of the outgoing message.

Allow simultaneous Mail Pull and Mail Send

With this option checked, One Earth Mailer will perform retrieval of incoming mail and sending of out-going mail independently of each other. This option may cause problems if selected in systems with low band-width.

Hang up after Mail delivery

One Earth Mailer will perform external mail deliveries according to the schedule defined on this tab. If, at the time of delivery, there is already an open connection to the external mail provider, then this option has no effect. Mail will be delivered, and the connection will remain open. If however, there was no connection at the time of delivery, One Earth Mailer will dial and create a connection. In this case, if this option is selected, One Earth Mailer will disconnect after the delivery takes place. If this option is not checked, One Earth Mailer will dial, deliver and leave the connection open when delivery is complete.

Hang up if Idle for XXXX Minutes

If this option is selected, One Earth Mailer will automatically hang up a connection that has not been used in the last XXXX minutes. Mail deliveries are not counted in this time, nor are any activities that may be performed outside One Earth Mailer. HTTP, FTP or other proxy services are included, and One Earth Mailer will not hang up while these servers are active. Please see Keep Connection Open (below) for a variation.

When Not Connected

This option determines the timing of mail deliveries when One Earth Mailer is not connected to the external mail server. There are 3 choices.

  • Manual Mail Delivery
    Mail will only be delivered when the Deliver Now button is pressed.

  • At Fixed Interval XXX Minutes
    One Earth Mailer will connect to the external mail server every XXX minutes.

  • Use Calendar
    One Earth Mailer will deliver according to the schedule defined in the delivery calendar. The calendar will be displayed when this option is clicked. See below

When Connected

This option determines the timing of mail deliveries when One Earth Mailer is connected to the external mail server. There are 2 choices.

  • Manual Mail Delivery
    Mail will only be delivered when the Deliver Now button is pressed.

  • At Fixed Interval XXX Minutes
    One Earth Mailer will connect to the external mail server every XXX minutes. If there is an open connection, you might want to check for incoming mail more often. Mail deliveries are not included in determining if the connection should be broken due to inactivity.

Use Calendar

The delivery calendar can be used to define an irregular delivery schedule.

Use the Add, Modify and Delete buttons to arrange the schedule that suits you. You can create scheduler entries to change the connection interval, create a no-connection period, or to close the current connection and not allow any connections.

There are entries in the Day of Week dropdown that allow you to select All Weekdays, Weekends or Every Day.

Keep Connection Open

If this checkbox is ticked, then when the delivery calendar defines that the schedule is active, the Hang-up if Idle option (above) does not apply. That is, if this option is checked, then the connection will be kept open for times defined as schedule ON, and the hang-up if idle timeout will apply at other times. If the connection should drop out, a reconnect will be attempted at the next defined connection time, either fixed or scheduled.


Mail Client Setup

Using TCP/IP protocol, each computer on the LAN has its own IP address. You must ensure that the machine that you use for your One Earth Mailer server has a fixed IP address. If you have a DHCP server running, ensure that the One Earth Mailer server machine has a static address. All client machines must know the fixed IP address of the server machine.

Within each IP address, communication is achieved using PORTS. Each IP address can support many ports. Various standards assign these ports to be used for various protocols. This makes it possible for different protocols to share the network.

In order to set-up any kind of client software, the client machine must know the IP address and port that the server has available for a given protocol.

A mail client must communicate with both the POP3 and SMTP servers on the One Earth Mailer server. POP3 is used by incoming mail and uses port 110 by default. SMTP is used by out-going mail and uses port 25 by default. There is normally no reason that you should change these port numbers, but if you do need to alter them, you can do so on the PROPERTIES / Server Level / CONNECTION Tab. You must ensure that you have matching values in your mail client software.

The following settings are from MS Outlook, but all mail clients will provide similar settings. You MUST make these settings (or similar) on ALL clients that are to connect to the One Earth Mailer mail servers.

Always select Connect via Local Area Network

There will also be a setting where you tell the mail client the IP address of the mail server. Again, from MS Outlook this setting looks like this.

Enter the IP address (or name if you are running DNS or HOSTS file) of the One Earth Mailer server for both the POP3 and SMTP servers. Default port numbers are assumed.

You will be required to provide LOGIN information for this mail account. The Account Name and Password details entered here must match (exactly) the Login and Password defined for a mailbox in the One Earth Mailer server. These details then give this client permission to access that mailbox.

The Login and Password details are not changeable through the mail client. The One Earth Mailer administrator must inform clients which Login and Password they can use.


Mail Lists

A mailing list is simply a list of email addresses that is associated with a single mailbox name. When a message is sent to that mailbox name, the message is sent to all names on the list.

One Earth Mailer implements mailing lists at the Mailbox Level using the Forwarding Tab.

  • This example show a mailbox with email address all_users@mydomain.com
  • The mailing list, defined on the Forwarding tab, contains 3 email addresses. (Note: Principle domain name assumed)
  • No copy of incoming messages will be retained in mailbox all_users@mydomain.com

A mailing list can be defined as a either Public or Private.

The Advanced Properties button contains some properties that are especially relevant to mail lists.


Public Mailing Lists

A Public Mailing List is simply a mailing list that can be publicly accessed. That is, any clients, either internal or external to this One Earth Mailer server can send messages to the mailing list.

To create a Public mailing list, create the mailbox that hosts the mailing list in a publicly accessible domain.


Private Mailing Lists

A Private Mailing List is a mailing list that cannot be publicly accessed. That is, clients attached to the One Earth Mailer server can send messages to the mailing list, whilst external clients will not be able to access the mailing list.

To create a Private mailing list, create the mailbox that hosts the mailing list in a private domain. As the name of this domain is not registered, no external mail can get to it. Be sure to include a period in the domain name. One Earth Mailer doesn't mind, but most mail clients will get upset if there is no period. In the example we have added a domain called private.lists. Now, add mailboxes to this domain - each mailbox will be used to host a Mail List.

All mail clients connected to the One Earth Mailer server will be able to send mail to this mailing list customers@private.lists. The message will then be forwarded to all names in the list, whether internal or external. Each recipient will receive mail addressed to customers@private.lists, but will not be able to see the names of the other recipients

Note: Look at the names in the list in this example, and note that One Earth Mailer Extended addressing format is allowed.

Example: Marjory Jones~mjones@somewhere.com

This address contains a display name Marjory Jones, and an email address mjones@somewhere.com In the Advanced Forwarding Options, you can select Individually address each forwarded message. If this option is chosen, then the display name / email address combination will be used.


Subscribe

Subscription Mailing Lists

A Subscription mailing list allows an external user to add or remove their name to/from the mailing list.

There are two parts to the subscription mailing list :-

  • A mailbox that controls subscriptions & un-subscriptions (The subscription mailbox)

  • A mailbox that controls the mailing list. (The subscription list)

When a message arrives at the subscription mailbox, the Subject Line of the message is examined.

If the Subscribe word is found, then the sender of the message is automatically added to the subscription list.

If the Un-subscribe word is found, then the sender of the message is automatically removed from the subscription list.

The following example shows mailbox updates@mydomain.com used to control subscriptions to the mail list updates@private.lists

Select PROPERTIES / Mailbox Level / SUBSCRIPTIONS

This account controls subscriptions for the email account

Enter the address of the mailing list. This address does not need to be accessible from the outside world, and it may be desirable that this is in a private domain.

Subscribe

You nominate the word that cause the incoming mail to subscribe to your mailing list. You can nominate a plain text file that will be sent as an auto-reply to any message that successfully subscribes. (A message will not successfully subscribe if the user already has a valid subscription)

Unsubscribe

You nominate the word that cause the incoming mail to unsubscribe from your mailing list. You can nominate a plain text file that will be sent as an auto-reply to any message that successfully unsubscribe. (A message will not successfully unsubscribe if the user did not already have a valid subscription)

Forward other mail to

If incoming mail does not contain the Subscribe or Unsubscribe words, then this mail is sent to the given address.


Sending Mail to Subscribers

The previous example showed mailbox updates@mydomain.com used to control subscriptions to the mail list updates@private.lists

As private.lists is a a private domain, only clients attached to the One Earth Mailer server will be able to send mail to its mailboxes.

Any message that is sent to updates@private.lists, will be forwarded to all names on the mailing list.

You should note that the reply-to address for these messages will, unless otherwise specified, be updates@private.lists, and that this email address will not be accessible from the outside world. There are two places that the reply-to address can be defined.

  • Mailbox Forwarding Advanced options - You can specifically set the Reply To address for all messages forwarded through this mailbox.

  • Mailbox Auto Reply options - You can specifically set the Reply To address for all replies generated by One Earth Mailer for this mailbox. This includes all auto-reply definitions as well as replies generated by the Subscription process.


One Earth Mailer Proxy Servers

Proxy Servers provide a gateway between Client machines and the Internet.

  • The client machine wishes to connect to an external server located somewhere on the internet.

  • Only machines that have direct access to the internet can make this connection.

  • The One Earth Mailer server does have access to the internet.

  • The client machine does not have access to the internet.

  • The client machine connects to a proxy server on the One Earth Mailer server, and this proxy server connects to the required internet address. Information can now be passed back & forth between the client and the external server. The connection is transparent to the client, except that some client configuration will be needed.

One Earth Mailer contains the following inbuilt proxy servers

  • Web Proxy Server

  • Ftp Proxy Server

  • Socks Server

  • User Defined Proxy Servers


The Web Proxy

The Web Proxy allows browsers on client machines to access the Web using a single connection to the web. In order to achieve this all client machines must know the IP address of the One Earth Mailer server, and the port that is used as the HTTP (web) proxy. The default port number is 80.

Select PROPERTIES / Server Level / PROXIES

Enable

To activate the Web Proxy, check the box labelled HTTP (Web) Server.

Enforce HTTP Firewall

If this checkbox is ticked, then all clients attempting to connect to this proxy server will need to provide an acceptable Login and Password. Only users with Firewall Access will be permitted to login. The web browser will display a login dialog box, and in most cases will ask the user if they wish to add this to their password list. Once in the password list, the browser will provide the login credentials to the proxy server without asking again.

Local Port

You may alter the port number if you wish, but leave it at 80 unless you are absolutely sure that you know what you are doing. (This port number must be specified in all client applications that wish to use this proxy)

Connect to web via a proxy server

If your ISP provides a web proxy server, then you may check this box. Provide the name (or IP address) and port number of your ISP's proxy server. (Your ISP will provide this information for you). You do not need to provide this information, but this will allow you to take advantage of caching provided by your ISP, and may result in some speed gains.

Accept from LAN only

If this setting is selected, then only users connected via your LAN will be able to use the HTTP proxy server. This provides protection from external attack via port 80.

Cache Settings

Your One Earth Mailer Web Proxy can cache information that it retrieves from the web. That is, a local copy is kept of recently accessed web pages and pictures, so that when these items are re-requested by the same or other user, they will retrieved from the One Earth Mailer server's disk, which will speed up access times.

Also see :-

  • Web Cache
  • Client Configuration


Web Proxy Cache Settings

Your One Earth Mailer Web Proxy can cache information that it retrieves from the web. That is, a local copy is kept of recently accessed web pages and pictures, so that when these items are re-requested by the same or other user, they will retrieved from the One Earth Mailer server's disk, which will speed up access times.

Select PROPERTIES / Server Level / CACHE Tab

Cache Settings

  • Never use the cache
    The cache is not used. All pages are always retrieved from the Internet.
  • Use the cache, always check timestamps
    The timestamp is always checked, the item is retrieved if the cached copy is out-of-date.
  • Use the cache, check timestamps after XXX hours
    The timestamp is only checked if the item is more than XXX hours old. This is faster than always checking timestamps, but may result in items being not quite up-to-date. Asking your browser to RELOAD will ensure that the lastest copy of the item is obtained.
  • Use the cache, never check timestamps
    Timestamps are never checked. You must manually RELOAD items to ensure that they are up-to-date.

Expiry

The information that is cached is stored on disk on your One Earth Mailer server. Left unmonitored, the cache could quickly fill your available disk space. One Earth Mailer cache checking takes place approximately every four hours, depending on web activity levels.

  • Cache entries never expire
    No expiry. You must manually ensure that you have sufficient disk space available.
  • Expire after XXX days
    Cache entries that have not been accessed for XXX days are automatically removed.
  • Limit cache size to XXXX Kilobytes
    The cache is automatically pruned to keep its size limited to XXXX kilobytes. Most recently accessed items are retained.


Browser Client Setup

Setting up of browser clients is very similar to setting up of mail clients. Make sure that you read through that section first.

You must inform you browser of the IP address and port number of the One Earth Mailer web proxy. The following example is from MS Internet Explorer.

Note that you must check Access the Internet using a proxy server, and you must then tell the browser the location of that proxy server. In this case, the port number of 80 must match the port number defined in the One Earth Mailer Proxies Tab as the HTTP proxy.


FTP Server Setup

FTP protocol is used for transferring large files, particularly binary files.

Select PROPERTIES / Server Level / PROXIES

To activate the FTP Proxy, check the box labelled FTP Server. You may alter the port number if you wish, but leave it at 21 unless you are absolutely sure that you know what you are doing. (This port number must be specified in all client applications that wish to use this proxy)

If FTP Firewall is specified, then FTP users must first login to the One Earth Mailer FTP shell, then login to an external host. If FTP Firewall is specified, then only One Earth Mailer users with Firewall Access defined will be permitted to login, using their One Earth Mailer username & password. See: Advanced Mailbox Properties

If FTP Firewall is not specified, then FTP users may login directly to an external host, without having to login to the One Earth Mailer FTP shell.


FTP Client Settings

FTP Client Settings - DOS

Assume for these examples that the One Earth Mailer server is accessible as pmserver. You will probably use the IP address of the server.

Example 1: A Sample FTP Session (using firewall)

Start FTP from command line
C:> ftp pmserver

Connected to pmserver
220 One Earth Mailer FTP Version 2.0

Firewall is in operation - user must login
User: john
  331 Password required for john
  Password: *****
  230 User 'john' logged in

User is now logged into PM firewall, and can now ftp to an external site

Must use user@site format
  ftp>user anonynous@ftp.microsoft.com
  331 anonymous access allowed

send email address as password
  Password:
  230 This is FTP.MICROSOFT.COM...
  ftp>

User is now logged in to external site

Example 2: A Sample FTP Session (without firewall)

Start FTP from command line
  C:> ftp pmserver

Connected to pmserver.
  220 One Earth Mailer FTP Version 2.0

No firewall is in operation, connect straight to external site

Must use user@site format
  User: anonynous@ftp.microsoft.com
  331 anonymous access allowed

send email address as password
  Password:
  230 This is FTP.MICROSOFT.COM...
  ftp>


Using CuteFTP

In CuteFTP, Select FTP / SETTINGS / OPTIONS / FIREWALL In both cases ensure that you have Enable Firewall Access checked. This informs CuteFTP to use a Proxy Server. The name (or IP address) of the Server is given in the Host field. To login to the One Earth Mailer FTP shell, select USER with login. To bypass this and go direct to the external FTP site, select user@site

Sample Setup using Firewall

Sample Setup without Firewall


The SOCKS Servers

The SOCKS protocol is designed to allow multiple connections through a single port in the firewall. While the Client software makes a single connection to the SOCKS server, the protocol contains header information that describes the connection that the SOCKS server should make. This type of connection is usually made when the client application makes decides where it will connect to at run time. Most commonly used in CHAT applications.

Select PROPERTIES / Server Level / PROXIES

This server supports both SOCKS 4 & SOCKS 5 protocols. (SOCKS 4 is a sub-set of SOCKS 5).

  • The SOCKS 4 protocol supports multiple TCP connections.
  • The SOCKS 5 protocol supports Authentication, multiple TCP connections and multiple UDP connections.

You should be aware that your SOCKS servers may be used by ‘foreign’ connections, and that you may be paying for large downloads for this foreign connection.

  • Enable Socks 4
    Allows Socks 4 clients to connect. There is NO authentication phase for Socks 4.
  • Enable Socks 5
    Allows Socks 5 clients to connect. Socks 5 has an optional authentication phase.
  • Accept from LAN Only
    If this option is selected, the SOCKS 4 server will only accept connections that originate from the Local Network. If this option is not checked, the SOCKS 4 server will accept ALL connections. Please see the table below for SOCKS 5
  • Socks 5 Authorisation
    The SOCKS 5 authorisation phase requires that a valid username/password be provided before a connection will be allowed. If ‘Enforce Socks 5 Firewall’ is selected, then this username/password combination must belong to a mailbox that has ‘Firewall Access’. (User Firewall access is defined at Mailbox Level / GENERAL Tab)

The following table shows possible SOCKS 5 connection states with different combinations of the ‘Enforce Socks 5 Firewall’ & ‘ Accept only from LAN’ checkboxes.

Enforce Socks 5 Firewall | 6 | 4 | 6 | 4
Accept only from LAN | 6 | 6 | 4 | 4
LAN connections | N | A | N | N
Foreign connections | N | A | X | A

A – Connection allowed with authorisation
N – Connection allowed without authorisation
X – Connection not allowed


User Defined Proxies

Select PROPERTIES / Server Level / PROXIES Tab - User Defined Proxies button

One Earth Mailer has inbuilt proxy servers for HTTP, FTP and SOCKS protocols. There are other protocols that you may wish to provide proxy services for that One Earth Mailer does not cater for explicitly. One Earth Mailer will allow you to create proxy services for either TCP or UDP protocols.

The User Defined Proxies button on the Proxies Property tab will reveal the following dialogue box.

Use the Add, Delete and Modify buttons to create your own proxies.

The Add and Modify buttons will produce the following dialogue box.

Protocol Type

Either Direct TCP or Direct UDP connection

Enabled

Yes or NO

Name

Name of the proxy server - used for identification purposes only - your choice.

Local Post

The port that clients will use to connect to the One Earth Mailer server.

Remote Address

The host address that One Earth Mailer will connect to.

Remote Port

The port that One Earth Mailer will connect to at the host address.

Number of Ports

Generally one - this value specifies a continuous range of ports used at both local and remote sites. The range starts with the nominated local/remote port number.

We will demonstrate how to create user defined proxy servers with two examples.

  • Defining a Newsgroup proxy

  • Defining several Directory service proxies.


Defining a Newsgroup Proxy Server

Most mail clients support newsgroups. To access Newsgroups, the client software must have access to the Internet using the NNTP protocol. The standard port for newsgroups is 119.

If you have a modem on your computer, then you can connect directly to the Newsgroup. Your newsgroup client software requires the name (or IP address) and port of the news server.

Or, you could connect to multiple News Servers.

Each Newsgroup is accessed using port 119, but each has a different IP address.

When a Proxy Server is used, the client machines cannot address the News Servers directly (because the News Servers are not on the same sub-net of the network).

All client machines can see the One Earth Mailer Server, and the One Earth Mailer server can see both News Servers.

For the News Server to be shared by the client machines, the client machines MUST nominate the One Earth Mailer Server as their Newsgroup Server, and a mapping MUST be created from the One Earth Mailer Server to the Newsgroup Server.

So, Add the following user defined proxy

  • Protocol Type = Direct TCP connection

  • Enabled = Yes

  • Name = News Group Proxy

  • Local Post = 119

  • Remote Address = news.myisp.com

  • Remote Port = 119

  • Number of Ports = 1

Client Settings

Client newsgroup applications would require the following settings.

  • Server = IP address (or name) of One Earth Mailer server
  • Port = 119


Defining Multiple LDAP Servers

If you are using a directory lookup application via a modem connection, then it would be possible for you to defined several different LDAP servers. For example :-

  • Host = server1, Port = 398
  • Host = server2, Port = 389

However, if accessing these servers through a proxy server, you will need to specify the One Earth Mailer server as the host address, and you will need to map a unique port for each of the above.

  • Host = One Earth Mailer server, Port = 389 maps to server 1 port 389
  • Host = One Earth Mailer server, Port = 405 maps to server 2 port 389

So, Add the following user defined proxies

  • Protocol Type = Direct TCP connection

  • Enabled = Yes

  • Name = LDAP Server 1

  • Local Post = 389

  • Remote Address = server1

  • Remote Port = 389

  • Number of Ports = 1

and

  • Protocol Type = Direct TCP connection

  • Enabled = Yes

  • Name = LDAP Server 2

  • Local Post = 405

  • Remote Address = server 2

  • Remote Port = 389

  • Number of Ports = 1

Client Settings

Client directory applications would require the following settings.

  • Name = LDAP Server 1
  • Server = IP address (or name) of One Earth Mailer server
  • Port = 389

and

  • Name = LDAP Server 2
  • Server = IP address (or name) of One Earth Mailer server
  • Port = 405


One Earth Mailer Log

One Earth Mailer can log all activities that it performs. There are several reasons that you may wish to have logging turned on :-

  • To keep a record of all messages sent / received
  • To identify problems with connections to particular servers

One Earth Mailer separates logging into three types :-

  • On screen logging
    Log information is displayed in the Log Tab of the Status Window. The Show Lines field specifies how many lines should de displayed. When this number of lines is exceeded, the older lines are removed from the display.
  • Activity Log File
    Logging of activity of all servers except web servers (Http & Ftp) is sent to a disk file.
  • Web Log File
    Logging of activity of web servers (Http & Ftp) is sent to a disk file.

Select PROPERTIES / Server Level / LOG Tab

On this tab :-

  • Each of the three sections contains a Set Level button.

Both the Activity Log File & Web Log File sections contain :-

  • A View File button
     Views the specified log file in a text editor, normally Notepad.

  • A % button
     Generates a filename that contains special tokens that are replaced with the actual date and time. These tokens contain the % character. You may create your own log file names using these tokens. See: Log File Naming

  • A ... button
     Opens a normal file browse dialogue box.

  • An Expiry button
     If you have a log file name that contains % tokens, then you can specify how long you want to keep these files. When the expiry time has elapsed, the log files will be automatically deleted.


Setting Logging Level

Click the SET LEVEL button on the Log Tab to reveal the following dialogue box :-

  • Errors Only
    The log will only contain error information, such as if a connection failed.

  • Normal Logging
         Logs information about Connections, Mail Sent & Mail Received, Scheduler on / off.

  • Diagnostics - Select
         A dialog box is presented giving a choice of further logging options. Check the required logging options. (See below for choices)

  • Diagnostics - ALL
         All diagnostic logging options are turned on. Be careful when using this setting. The size of the log file will grow rapidly.

Diagnostic Selection

If the Diagnostics - Select logging is chosen, the following dialog box will appear. The first character of each logging option is included in the log, preceded by @, to help identify the source of the log message. Messages relating to clients attached to this server are preceded by the IP address of the client. [tx] indicates data is sent (transmit), and [rx] indicates that data is received.

B
C
D
F
H
J
K
L
M
P
p
R
S
s
T
U
X
Y
Z

Socks Server
Client Connections
DNS Server
FTP Server
HTTP Server
Http Requests
Http Responses
Licence
Incoming Mail Header Parsing
Pop3 Client (external)
Pop3 Server (internal)
RAS (modem)
Smtp Client (external)
Smtp Server (internal)
User defined TCP proxies
User defined UDP proxies
More External Pop3
Status Messages
Miscellaneous


Log File Naming

It is important that you don’t allow log files to grow too large. Accessing a large log file can use valuable resources, and can make a noticeable difference to performance.

One Earth Mailer does not have a specific option to limit the size of log files, but there is a method available for changing the name of the log file at regular intervals.

One Earth Mailer will accept filenames that contain special tokens. These tokens are replaced with the current time of day.

Token | Meaning
%a | Abbreviated weekday name
%A | Full weekday name
%b | Abbreviated month name
%B | Full month name
%d | Day of month as decimal number (01 – 31)
%H | Hour in 24-hour format (00 – 23)
%I | Hour in 12-hour format (01 – 12)
%j | Day of year as decimal number (001 – 366)
%m | Month as decimal number (01 – 12)
%M | Minute as decimal number (00 – 59)
%p | Current locale’s A.M./P.M. indicator for 12-hour clock
%S | Second as decimal number (00 – 59)
%U | Week of year as decimal number, with Sunday as first day of week (00 – 53)
%w | Weekday as decimal number (0 – 6; Sunday is 0)
%W | Week of year as decimal number, with Monday as first day of week (00 – 53)
%y | Year without century, as decimal number (00 – 99)
%Y | Year with century, as decimal number

Examples: (Assume current date is 01 February 2002)

 | Expands To
C:\MailStore\Logs\%d%b%y.log | C:\MailStore\Logs\01Feb02.log
C:\MailStore\Logs\%Y\%B\%d.log | C:\MailStore\Logs\2002\February\01.log
C:\MailStore\Logs\Week_%U.log | C:\MailStore\Logs\Week_6.log


Security

One Earth Mailer implements several different levels of security.

Select PROPERTIES / Server Level / Security

On this page, you will find tabs that define :-

  • Access
    When your server is connected to the internet, it is possible that you may have connections from uninvited clients. These clients scan the IP address space searching for unprotected servers. Once found, they can connect to your server, using your bandwidth and at your expense.
  • URL Control
    One Earth Mailer can restrict the URL's that the web proxy can access.
  • Spam Control
    You can nominate that email from nominated senders is unwanted.
  • Anti-Virus Control
    One Earth Mailer can interface with your third party anti-virus software


Access

IP Access

The Access tab allows you to ALLOW or PREVENT clients from connecting to any or all of the One Earth Mailer servers.

The drop down list contains an entry for ALL SERVERS, as well as a separate entry for each in-built One Earth Mailer server, and each user defined proxy server.

  • Settings that are entered for ALL SERVERS, will apply to all servers.

  • Settings that are entered for a particular server only apply to that server, and if conflicting, will over-ride the setting for ALL SERVERS.

For each entry in the drop down list you may choose

  • Exclude Access from these IP addresses
    The IP addresses that you define will be refused access to the nominated server(s).
  • Allow Access ONLY from these IP addresses
    Only the IP addresses that you define will be allowed access. All other IP addresses will be refused access.

Use the ADD, EDIT and DELETE buttons to build a list of IP addresses that will be EXCLUDED from (or allowed to) accessing the chosen server. The EDIT and DELETE buttons will be enabled after a selection is made from the list. If you select ALL SERVERS, then the IP addresses that you provide will be excluded from accessing all servers. These entries do not appear in the individual server lists.

You may specify a single IP address, or a range of IP addresses. Pressing the ADD or EDIT buttons will result in the following dialog box being displayed.

When selecting a range of addresses, the first three numbers of the address are considered the same. You only need provide the last of them.


URL Control

The URL Control tab allows you to specify a collection of web addresses (URL's).

You can choose one of the following :-

  • The web server will NOT access these URL's

  • The web server will ONLY access these URL's

Use the ADD, DELETE and EDIT buttons to create and maintain the list.

The URL's specified will include all descendent URL's.

Example: If URL ugly.com is added to the restricted list, then very.ugly.com, most.ugly.com and anything.else.ugly.com will also be restricted.

If a client browser tries to access a URL which is restricted by the defined list, the client browser will receive an Access Denied message


Spam Control

The Spam Control tab allows you to filter incoming mail and prevent distribution of mail from unwanted sources.

Use the ADD, DELETE and EDIT buttons to create and maintain the list of spammers. You may add to the list :-

  • An individual email address - no mail will be accepted from this address.
  • A domain name - no mail will be accepted from this domain.

When such mail does arrive, you may choose to :-

  • Delete it immediately
  • Move (forward) the message to a nominated mailbox

The following header fields are examined to determine the "Sender" of the message.

  • FROM:
  • REPLY-TO:
  • RETURN-PATH:

Also treat as spam if addressed TO these addresses

Often, spam mail can be identified by the TO address. Tick this checkbox and the list of addresses will checked against sender & recipient addresses.


Anti Virus Control

Note: One Earth Mailer DOES NOT contain inbuilt Anti Virus software. This option will allow One Earth Mailer to present messages in such a way that most third party Anti Virus software will be able to examine, clean or delete. We have no control over the operation or effectiveness of these products.

If you have no AV software running (not a good idea), or you want some extra control, One Earth Mailer provides attachment filters.

Break down all messages into separate attachments

If this checkbox is ticked, One Earth Mailer will examine all messages arriving via SMTP servers or POP3 mail pulls, and extract any attachments that are included. The attachments are written as separate disk files. Most Anti Virus software will examine these files as they are created, and if a virus is detected in the attachment, the AV software will either clean, delete, move or otherwise make that file inaccessible.

Note: Instruct your AV software to scan files (possibly called SYSTEM scan). Email scan options are not required as, at this stage, the message is a disk file and not yet an email.

As this scanning operation will be happening on your server, which is most likely unattended, you should choose options within the AV software that performs the clean/delete automatically. You don't want Yes/No dialog boxes presented on the server.

There are two options you can select to perform the AV scan

  • My AV software will automatically scan attachments

Choose this option if the AV software automatically examines files written to disk. Enter a time (in seconds) that One Earth Mailer should wait to ensure that the scan has occurred.

  • Use this program to execute my AV software

Enter the command line that you would use in a command (DOS) window to scan a file with your AV software. Enter the program name and program parameters in the boxes provided. The above example shows how to enter the command line
C:\Program Files\AvScan\scan32.exe /n /c attachment-name
Always use $$ in the place where the filename would normally be placed.

After the attachment has been scanned, (or after the wait time has expired), One Earth Mailer will re-assemble the message from the separated attachments. If any of the attachments cannot be found or accessed, then One Earth Mailer will assume that this is because the AV software deleted the attachment. The attachment is replaced by an attachment called ALERT.TXT, which gives the name of the original attachment that was removed.

If your AV software creates a log file, then press the Advanced button and enter the full path of this log file. One Earth Mailer will examine the tail of the log file and include any relevant information in the ALERT.TXT attachment.


Run As Service

Running the One Earth Mailer Service

What is a Service

An NT Service is a background process, which is loaded by the operating system. They are often loaded at boot time, before any user logs in, and are often independent of any specific user being logged on at the time. If a service is not launched automatically by the system at boot time, as many services are, it can also be manually launched by a user at the console, via the NT Control Panel's Services applet, or by another program which interfaces to NT's Service Control Manager.

Windows 98 and 95 also support Services, but these are different to NT services. In Windows 98/95, a program nominated as a service starts at boot time and continues to run after a user logs out.

Advantages of a Service

Running as a service offers additional security. In an NT/2000 environment, only an administrator has access to the service. The service will run without any user being logged in. If the machine should restart, possibly after a power failure, the service will automatically restart.

Set Username / Password

When One Earth Mailer is running as a service, it is owned by the System Account. This is a different user to Administrator. RAS phonebook entries that have been defined for Administrator will probably not have credentials for System Account. With the service running


Remote Administration

One Earth Mailer provides a remote administration console. This console can be run on any PC that can connect to the network, and can monitor and/or administer most PostMaster functions. Connection to a One Earth Mailer server can be made via the Local Area Network, through a modem connection or via a secure Internet connection.

Running Remote Administration Console

The Remote Console program is called PMADMIN.EXE. A copy of this program is placed in your One Earth Mailer program directory (usually c:\program files\mailer). The program is stand-alone, and requires no installation. You may copy this file to any other machine without copying any other support files.

A single Remote Administration Console can connect many One Earth Mailer servers (one at a time), or you can have many remote administrators monitoring a single One Earth Mailer server. You could run multiple instances of the console, each monitoring a different server.

No licence is required to run the Remote Console, but it will only connect to One Earth Mailer severs that have the Remote Administration Option licensed. All TRIAL versions of One Earth Mailer have the Remote Administration feature enabled.

Remote Console Operations

The appearance of the Remote Console user interface is intentionally similar to the user interface provided by One Earth Mailer. A tray icon appears in the status bar, and the Status Dialog has the following appearance.

The Status, Activity, Servers and Log tabs show the same information that the Status Window of the One Earth Mailer server that you are connected to would normally show. The File and Reports menus also display information about the server that you have connected to.

The Host tab does not appear on the normal One Earth Mailer status window. This tab allows you to define one or more servers that can be connected to, and which of them is currently selected.

The Host Tab

The host tab defines which One Earth Mailer Server is to be administered. The ADD, MODIFY & DELETE buttons allow you to create connections to a variety of One Earth Mailer servers. The dropdown list box contains the names of all the servers that you have defined.

Connecting to the Remote Server.

  • Select the required server from the drop down list.
  • Press the Stop/Start (Traffic Light) button to connect.

Security

Each mailbox defined on the One Earth Mailer server, can (optionally) be defined as an Administrator. (See: Advanced Mailbox Properties) If any mailbox on a particular One Earth Mailer server is defined as an Administrator, then would-be remote administrators will need to provide a Username & Password (of any administrator) before a connection will be allowed. If there are no administrators defined, then no login dialogue is presented.

See Also: Defining Hosts.


Defining Remote Hosts

Defining Hosts

On the HOSTS tab on the Remote Administrator status window, use the ADD, MODIFY & DELETE buttons to create, modify and delete Hosts. The names of all defined remote connections will appear in the drop down list. There will also always be an entry in this drop down called Local Host.

Local Host

Local Host is the machine that the Remote Administrator is running on. If you wish to connect the Remote Administrator to a One Earth Mailer server running on the same machine - select Local Host from the drop down. If you are running One Earth Mailer as a Service, then you MUST use Remote Administrator to connect to local host as the service has no user interface of its own.

Remote Hosts

A Remote Host is a One Earth Mailer Server that is running on a different machine to the Administrator's Console. To define a remote host, press the ADD button. The following dialogue box will be displayed.

Connection Name

Any name you choose to identify this connection

Connect via Local Area Network.

Provide the IP address of the One Earth Mailer Server.

Connect via Modem

Provide the IP address of the One Earth Mailer Server, and the Phonebook entry to dial.

Connect via the Internet

Provide the Internet address (IP or URL) of an HTTP Proxy Server that can be accessed via the web. Also provide the IP address of the One Earth Mailer server, that can be accessed from the named Proxy Server (both of these addresses can be the same). The Remote Console will connect to the HTTP proxy of the named URL, and from there, connect to the One Earth Mailer server using SSL tunnelling.


Remote Password Utility

Running the Remote Password Utility

The Remote Password Utility is called PMPASSWORD.EXE. A copy of this program is placed in your One Earth Mailer program directory (usually c:\program files\mailer). The program is stand-alone, and requires no installation. You may copy this file to any other machine without copying any other support files.

Note: No licence is required to run the Remote Password Utility, but it will only connect to One Earth Mailer severs that have the Remote Administration Option licensed. All TRIAL versions of One Earth Mailer have the Remote Administration feature enabled.

Using this utility is straightforward.

  • Fill in the name or IP address of the One Earth Mailer server.
  • Enter your Mail Login and existing Password
  • Press the CONNECT button.
  • If you are successful in connecting, the NEW PASSWORD & REPEAT PASSWORD fields will become enabled. The CONNECT button will become an UPDATE button.
  • Enter the NEW PASSWORD, and repeat it in the REPEAT PASSWORD field
  • If the New & Repeat Password fields are the same (and are different to your existing password), the UPDATE button will be enabled.
  • Click the UPDATE button to change your password on the PostMaster server.
Note: The combination of Login & Password stored on the PostMaster server, must match exactly the Login & Password specified in your mail client.


Attachment Filters

You can optionally ALWAYS remove attachments of certain types from all incoming and out-going messages, regardless of whether the attachment has a virus within, or if you have AV scanning software running. Add the file extensions of attachments that you want removed to this list. Any attachments removed will be replaced with an ALERT.TXT attachment containing a suitable message.


Automatic One Earth Mailer Upgrade

One Earth Mailer 3.6 and later revisions contain a new menu item which will allow you to automatically upgrade your One Earth Mailer software. This option may be invoked from either the desktop or remote administration models.

The option can be found in the FILE menu – UPGRADE (or UPGRADE REMOTE SITE). The following dialogue box is displayed.

Check Version

The Check Version button connects to our web site to find out the latest available version. Click this button and see if an upgrade is available.

If a connection to our web site cannot be established, you will be told that Download is not possible at this time.

Download

Having decided that there is a later version available, click the Download button. This will copy the One Earth Mailer installer from our web site to your computer. It will be placed in the same directory as the One Earth Mailer executable files.

Upload

The Upload button will only be visible if your are using the One Earth Mailer Remote Administration console, connected to a remote site. If you have connected to the remote site through a dial up connection, and this is using the only modem on the remote system, then it is possible that the remote server will not be able to connect to our web site. In this case Download is not an option. Upload will ask you for a local file name, the name of the One Earth Mailer installer, and will copy this file to the remote site, placing the file in the same directory as the One Earth Mailer executables.

Install Upgrade

Having either Downloaded or Uploaded a new One Earth Mailer , pressing the Install Upgrade button will do the following.

Shutdown One Earth Mailer - all connections will be broken, so choose a time when there is no load on the system.

Start the new One Earth Mailer installer – with automatic upgrade option turned on.

After the upgrade has been performed, start the new version of One Earth Mailer

If you are performing the upgrade remotely using the Remote Administrator, you connection will be closed as the old One Earth Mailer shuts down. Allow about 10 seconds for the upgrade to complete, and then reconnect. When the connection is made you will be talking to the updated One Earth Mailer

Notes

If the upgraded site is running as a NT/2000 service, the service will be shutdown and the console will be shutdown. The upgraded service will be started, but the console cannot be restarted. This will need to be done manually.


The Licence Agreement

PLEASE READ THE FOLLOWING LICENSE AGREEMENT. IT WILL BE NECESSARY FOR YOU TO AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT BEFORE BEING PERMITTED TO CONTINUE TO INSTALL THE PRODUCT. THE PROCEDURE FOR ACCEPTING OR REJECTING THE LICENSE AGREEMENT IS SET OUT AFTER THE LICENSE AGREEMENT.

IF YOU DO NOT ACCEPT THE TERMS OF THE LICENSE AGREEMENT FOR THIS SOFTWARE PRODUCT, THE INSTALLATION PROCESS WILL BE TERMINATED.

LICENSE AGREEMENT FOR WOPPOWARE

VERY IMPORTANT-CAREFULLY READ : This Woppoware Software License Agreement (hereinafter "LICENSE") is a legal agreement between you (either an individual or a single entity) and Woppoware Pty Ltd. ("Woppoware"), for the SOFTWARE or products that display this notice. By installing using the TRIAL or fully registered key, copying or otherwise using the SOFTWARE, you agree to be bound by the terms of this LICENSE. If you do not agree to the terms of this LICENSE, terminate this installation now by pressing the EXIT button.

SOFTWARE LICENSE

Copyright laws and international copyright treaties, as well as other intellectual property laws and treaties protect the SOFTWARE. The SOFTWARE is licensed, not sold.

LICENSE GRANT.

This LICENSE grants you the following rights:

You may use one copy of the Woppoware SOFTWARE identified above on a single computer. The SOFTWARE is in "use" on a computer when it is loaded into temporary memory (i.e. RAM) or installed into permanent memory (e.g. hard disk, CD-ROM, or other storage devise) of that computer.

Solely with respect to electronic documents included with the SOFTWARE, you may make a copy (either in hardcopy or electronic form), provided that such copies shall be used only for internal purposes and are not republished or distributed to any third party.

You may use the trial version of this software for a period of 30 days, for the purpose of evaluating this software. At the end of this period, you must either purchase a full licence or remove the software from the computer.

TITLE; COPYRIGHT. WOPPOWARE or its suppliers own all title and copyrights in and to the SOFTWARE and any copies of the SOFTWARE. Copyright laws and international treaty provisions protect the SOFTWARE. Therefore, you must treat the SOFTWARE like any other copyrighted material, except that you may either (A) make one copy of the SOFTWARE solely for backup or archival purposes or (B) install the SOFTWARE on a single computer provided you keep the original solely for backup or archival purposes.

ADDITIONAL RIGHTS AND LIMITATIONS.

Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE.

No Separation of Components. The SOFTWARE is licensed as a single product and the software programs comprising the SOFTWARE may not be separated for use by more than one user at a time.

Rental. You may not rent or lease the SOFTWARE.

Software Transfer. You may NOT transfer any of your rights under this LICENSE.

Termination. Without prejudice to any other rights, Woppoware may terminate this LICENSE if you fail to comply with the terms and conditions of this LICENSE. In such event, you must destroy all copies of the SOFTWARE.

LIMITED WARRANTY

LIMITED WARRANTY. EXCEPT WITH RESPECT TO REDISTRIBUTABLES, WHICH ARE PROVIDED "AS IS," WITHOUT WARRANTY OF ANY KIND, WOPPOWARE WARRANTS THAT THE SOFTWARE WILL PERFORM SUBSTANTIALLY IN ACCORDANCE WITH THE ACCOMPANYING WRITTEN MATERIALS FOR A PERIOD OF THIRTY (30) DAYS FROM THE DATE OF RECEIPT. SOME STATES AND JURISDICTIONS DO NOT ALLOW LIMITATIONS OF DURATION OF AN IMPLIED WARRANTY, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU. TO THE EXTENT ALLOWED BY APPLICABLE LAW, IMPLIED WARRANTIES ON THE SOFTWARE, IF ANY, ARE LIMITED TO THIRTY (30) DAYS.

CUSTOMER REMEDIES. WOPPOWARE’S AND ITS SUPPLIERS’ ENTIRE LIABILITY AND YOUR EXCLUSIVE REMEDY SHALL BE, AT WOPPOWARE’S OPTION, EITHER (A) RETURN OF THE PAID PRICE, OR (B) REPAIR OR REPLACEMENT OF THE SOFTWARE. PRODUCTS PURCHASED OTHER THAN DIRECTLY FROM WOPPOWARE SHALL BE RETURNED THROUGH THE RESELLER FROM WHICH IT WAS PURCHASED. THIS LIMITED WARRANTY IS VOID IF FAILURE OF THE SOFTWARE HAS RESULTED FROM ACCIDENT, ABUSE, OR MISAPPLICATION. ANY REPLACEMENT SOFTWARE WILL BE WARRANTED FOR THE REMAINDER OF THE ORIGINAL THIRTY (30) DAY PERIOD.

NO OTHER WARRANTIES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, WOPPOWARE AND ITS SUPPLIERS DISCLAIM ALL OTHER WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH REGARD TO THE SOFTWARE. THIS LIMITED WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE OTHERS, WHICH VARY FROM STATE/JURISDICTION TO STATE/JURISDICTION.

NO LIABILITIES FOR CONSEQUENTIAL DAMAGES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL WOPPOWARE OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF WOPPOWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

LICENSEE ACKNOWLEDGES THAT IT HAS READ AND UNDERSTANDS THIS AGREEMENT AND AGREES TO BE BOUND BY ITS TERMS. LICENSEE FURTHER AGREES THAT THIS AGREEMENT IS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN LICENSEE AND LICENSOR, AND SUPERCEDES ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS RELATING TO THE SUBJECT MATER OF THIS AGREEMENT.


Purchasing One Earth Mailer Online

Select PROPERTIES / Server Level / PAYMENTS

You can place an order for One Earth Mailer on-line using the Payments Tab. You can enter this tab and leave without sending an order. The information entered here is securely encrypted, and can be automatically e-mailed to sales@woppoware.com.au. You will inspect the encrypted copy before it is sent. You can cut & paste the encrypted order & deliver to us by some other means if you wish.

(Note: Once your copy of One Earth Mailer is licensed, you will not see this tab again).

Enter all information, and then press the INSPECT button. Note that the SEND button is greyed out.

After pressing the INSPECT button, you will see the following.

Now, the SEND button is active. Please feel free to edit the contents of this screen, adding any additional information or requests. DO NOT edit the marked encryption section. Once the SEND button is pressed, the order is emailed to sales@woppoware.com.au. Our 7 x 24 hours mail order server will process the order, and after the transaction is authorised, you will receive your One Earth Mailer security key. This process should only take 'minutes'.

The HIDE button will hide the encryption and return you to the original payments tab.


Tray Icon

When One Earth Mailer is running, a tray icon appears in the task bar. You may right click the mouse on this icon to see a pop up menu, or you may double left click to show the Status Window.